Bug 1020760 - [notifier] sent notification should be visible in INFO log level
[notifier] sent notification should be visible in INFO log level
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Mooli Tayer
Pavel Stehlik
Depends On:
  Show dependency treegraph
Reported: 2013-10-18 05:07 EDT by Jiri Belka
Modified: 2016-02-10 14:14 EST (History)
7 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20861 None None None Never

  None (edit)
Description Jiri Belka 2013-10-18 05:07:59 EDT
Description of problem:
If I don't have DEBUG in /etc/ovirt-engine/notifier/log4j.xml I cannot see what notifications notifier has sent.

Please make basic info in INFO log level. It's not important to see whole mail body but subject and to whom would be enough.

FYI, INFO is default log level. Thus one could be surprise that nothing is logged. I believe INFO is about actual actions of a component and thus in this context it should be seen what notifier is notifying about.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. vm migration triggers an event, a user has mail
2. migrate vm
3. check notifier.log

Actual results:
real sending of events is not logged in INFO level

Expected results:
INFO = info about its main purpose functionality, thus in INFO I should see lines that something is sent soemewhere

Additional info:
fyi it is in debug

2013-10-18 10:56:45,027 DEBUG [org.ovirt.engine.core.notifier.utils.sender.mail.EventSenderMailImpl] Send email to [jbelka@redhat.com]
 [Alert Notification. (jb-rh33.rhev.lab.eng.brq.redhat.com), [Migration started (VM: jb-w8-x86, Source: dell-r210ii-13, Destination: dell-r210ii-03, User: admin@internal).]]
 [Time:2013-10-18 10:55:03.305
Message:Migration started (VM: jb-w8-x86, Source: dell-r210ii-13, Destination: dell-r210ii-03, User: admin@internal).
User Name: admin@internal
VM Name: jb-w8-x86
Host Name: dell-r210ii-13
Template Name: Blank
Data Center Name: Default
Comment 1 Mooli Tayer 2013-11-04 08:34:51 EST
patch proposed upstream.
log.info recipient and subject.
log.debug message body.
Comment 2 Sandro Bonazzola 2014-01-14 03:44:51 EST
ovirt 3.4.0 alpha has been released
Comment 3 Jiri Belka 2014-01-27 04:59:30 EST
ok, ovirt-engine-tools-3.4.0-0.2.master.20140112020439.git9ad8529.el6.noarch

2014-01-27 09:58:05,603 INFO  [org.ovirt.engine.core.notifier.utils.sender.mail.EventSenderMailImpl] Send email to [jbelka@redhat.com]
 [Issue Solved Notification. (jb-rh34.rhev.lab.eng.brq.redhat.com), [Host dell-r210ii-13 was activated by admin@internal.]]
Comment 4 Itamar Heim 2014-06-12 10:07:42 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.